AOZ Studio Beta - Bug #143

Rainbow works in Amiga mode, but not PC
02/06/2020 08:34 PM - Paul Kitching

Status: Feedback Start date: 02/06/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 8:00 hours
Target version: 0.9.5

Affected version: 1.0.0 (B10) u16

Description

#manifest: "pc"

#splashScreen:false

#rainbowMode: "slow"

Set Rainbow 0,1,16,"(1,1,15)","", ""
Rainbow 0,56,1,255

Curs Off : Flash Off

wait vbl

Change the mode to "amiga" and it works. I'm not sure if this is supposed to work in PC mode, as | know there are some problems
with it using fast/slow mode.

History

#1 - 02/22/2020 06:07 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.5

Fixed! Happened because of the splash screen.

#2 - 03/07/2020 01:52 PM - Baptiste Pillot

- Status changed from Resolved to Feedback

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/485
e run : https://www.amos2.fr/run/tickleman/143
e result : no rainbow, not working.

#3 - 10/04/2020 10:37 PM - Brian Flanagan
- File Bug143.png added

It's worse now.
| get a black screen in AOZ/PC mode.
| get an orange and black mess in Amiga mode.

#4 - 10/04/2020 10:38 PM - Brian Flanagan
- Estimated time set to 8:00 h
- Affected version changed from 0.9.4 to Beta RC3

#5 - 02/25/2021 04:43 PM - Paul Kitching
- Affected version changed from Beta RC3 to 1.0.0 (B4)

| get an internal error now for both modes.

#6 - 08/03/2021 11:17 AM - malcolm harvey

This is also internal error now for both modes still Beta 8.
https://www.amos2.fr/ide/Amos2/Ide/Program/485
https://www.amos2.fr/run/tickleman/143

#7 - 09/19/2021 05:45 PM - Paul Kitching
- Affected version changed from 1.0.0 (B4) to 1.0.0 (B10) u16

I'm getting blank screen and the program doesn't end for both Amiga and AOZ modes.

Files

Bug143.png 43.5 KB 10/04/2020 Brian Flanagan
